Subject: bug#57071: closed (Close)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Jul 2025 17:16:02 +0000

Your bug report

#57071: Xscreensaver not working since latest patch

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57071: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57071
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Close
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Sat, 26 Jul 2025 19:14:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I am closing this as probably not relevant anymore; otherwise please
open a new issue on codeberg.

Andreas

Subject: Xscreensaver not working since latest patch
From: Rick Huijzer <[email-masked]>
To: [email-masked]
Date: Tue, 9 Aug 2022 10:04:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

The latest xscreensaver patch <https://issues.guix.gnu.org/56597> rendered
xscreensaver unusable on my systems. When I try to unlock my screen I am
greeted with the message 'xscreensaver: don't login as root', even though I
don't invoke it as root.

$xscreensaver-command -lock
Aug  9 08:45:22 localhost shepherd[1]: [slim] xscreensaver-gfx: 08:45:22:
1: running as root: not launching hacks.
Aug  9 09:10:29 localhost shepherd[1]: [slim] xscreensaver-command: locking
Aug  9 09:10:32 localhost shepherd[1]: [slim] xscreensaver-gfx: 09:10:32:
0: running as root: not launching hacks.

When I remove the
(screen-locker-service xscreensaver)
I run into all kinds of set-uid problems.

I will happily provide more information if needed.

-- 
Met vriendelijke groet,

Rick Huijzer